# Short Volume By Exchange `GET` `https://api.unusualwhales.com/api/shorts/{ticker}/volumes-by-exchange` Returns short volume data broken down by exchange for a ticker. If no date range is given the default is the last 2 years. The max lookback range is 5 years; requests for a wider range are clamped to the most recent 5 years ending at `older_than`. The `newer_than` and `older_than` query params accept Unix-format timestamps (milliseconds or seconds) as well as ISO-format dates (`YYYY-MM-DD`). ## Authentication ``` Authorization: Bearer YOUR_API_KEY ``` ## Path Parameters | Name | Type | Required | Description | |------|------|----------|-------------| | `ticker` | SingleTicker | Yes | A single ticker | ## Query Parameters | Name | Type | Required | Description | |------|------|----------|-------------| | `newer_than` | NewerThan | No | The unix time in milliseconds or seconds at which no older results will be returned. Can be used with `older_than` to paginate by time. Also accepts an ISO date or RFC 3339 datetime (example: 2024-01-25). | | `older_than` | OlderThan | No | The unix time in milliseconds or seconds at which no newer results will be returned. Can be used with `newer_than` to paginate by time. Also accepts an ISO date or RFC 3339 datetime (example: 2024-01-25). | ## Response (200) | Field | Type | Description | |-------|------|-------------| | `date` | date | The date of the short volume data. | | `exchange_name` | string | The exchange identifier. | | `market_center` | string | The market center identifier. | | `short_volume` | integer | The short volume for this exchange. | | `total_volume` | integer | The total volume for this exchange. | ## Example ### curl ```bash curl -X GET "https://api.unusualwhales.com/api/shorts/{ticker}/volumes-by-exchange" \ -H "Authorization: Bearer YOUR_API_KEY" \ -H "Accept: application/json" ``` ### Python ```python import http.client conn = http.client.HTTPSConnection("api.unusualwhales.com") headers = {"Authorization": "Bearer YOUR_API_KEY", "Accept": "application/json"} conn.request("GET", "/api/shorts/{ticker}/volumes-by-exchange", headers=headers) response = conn.getresponse() print(response.read().decode("utf-8")) ``` ## Response Example ```json { "data": [ { "date": "2023-04-15", "exchange_name": "NYSE", "market_center": "NYSE", "short_volume": 325000, "total_volume": 2150000 }, { "date": "2023-04-15", "exchange_name": "NASDAQ", "market_center": "NASDAQ", "short_volume": 720000, "total_volume": 4500000 } ] } ```